Get site summary overview
curl --request GET \
--url https://integrations.wellows.com/api/v1/overview \
--header 'X-API-Key: <api-key>'import requests
url = "https://integrations.wellows.com/api/v1/overview"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://integrations.wellows.com/api/v1/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Overview data retrieved successfully for 30 dates",
"code": 200,
"data": {
"current_day_stats": {
"visibility_score": 75.5,
"citation_score": 82.3,
"sentiment_score": 0.85
},
"brands_by_topics": {
"topic1": [
"brand1",
"brand2"
],
"topic2": [
"brand3"
]
},
"brands_by_providers": {
"openai": [
"brand1"
],
"anthropic": [
"brand2"
]
},
"visibility_score": {
"current": 75.5,
"previous": 70.2,
"trend": "up"
},
"sentiment_analysis": {
"positive": 0.7,
"neutral": 0.2,
"negative": 0.1
}
},
"errors": {},
"meta_data": {}
}{
"success": false,
"message": "X-Project-ID header is required for USER-level API keys",
"code": 400,
"data": {},
"errors": {
"error": "missing_project_id"
},
"meta_data": {}
}{
"success": false,
"message": "Error description",
"code": 400,
"data": {},
"errors": {
"error": "<string>",
"detail": "<string>"
},
"meta_data": {}
}{
"success": false,
"message": "You do not have access to this project",
"code": 403,
"data": {},
"errors": {
"error": "forbidden"
},
"meta_data": {}
}{
"success": false,
"message": "Failed to retrieve overview data",
"code": 500,
"data": {},
"errors": {},
"meta_data": {}
}Endpoint examples
Get Overview
Get site summary overview analytics.
Returns LLM presence statistics including:
- Current day stats
- Brands by topics
- Brands by providers
- Citation score
- Sentiment analysis
- Visibility score
Note: For USER-level keys, the X-Project-ID header is required.
GET
/
overview
Get site summary overview
Authorizations
Your API key from the API Keys page
Headers
Project ID (required for USER-level keys, optional for PROJECT-level keys)
Query Parameters
Start date for date range filter (YYYY-MM-DD)
Example:
"2024-01-01"
End date for date range filter (YYYY-MM-DD)
Example:
"2024-01-31"
Filter by region code
Example:
"US"
Filter by LLM provider
Example:
"openai"

